Package biotransformer.biosystems

## Enum BioSystem.BioSystemName

- java.lang.Object
- - java.lang.Enum<BioSystem.BioSystemName>
  - - biotransformer.biosystems.BioSystem.BioSystemName

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<BioSystem.BioSystemName>`

Enclosing class:
  BioSystem

    public static enum BioSystem.BioSystemName
    extends java.lang.Enum<BioSystem.BioSystemName>

### Enum Constant Summary

Enum Constants
`ENVMICRO`
`GUTMICRO`
`HUMAN`

### Method Summary

All Methods Static Methods Concrete Methods
`static BioSystem.BioSystemName` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BioSystem.BioSystemName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HUMAN

    public static final BioSystem.BioSystemName HUMAN

#### ENVMICRO

    public static final BioSystem.BioSystemName ENVMICRO

#### GUTMICRO

    public static final BioSystem.BioSystemName GUTMICRO

### Method Detail

#### values

    public static BioSystem.BioSystemName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BioSystem.BioSystemName c : BioSystem.BioSystemName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BioSystem.BioSystemName valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null